/**
 * Sales Archiving Web Service
 * -----------------------
 *
 * This piece of software is part of the Sales Archiving Web Service example.
 *
 * Simply speaking, the aim of this software is to deploy, on JOnAS 4, a web
 * service to which sales data can be sent. That service would then store all
 * received data in a database using EJB3s.
 *
 *
 * If this software works, it has been written by Savas Ali TOKMEN, who has a
 * web site on the http://ali.tokmen.com/ address. If it doesn't work and
 * you're experiencing problems with it, I don't know who wrote it.
 *
 * Created the 31st of March 2007
 */
package SalesArchivingService;

/**
 * This interface defines the interface of the Database Saving Bean for the
 * Sales Archiving Web Service.
 */
public interface SalesArchivingBeanRemote {
	/**
	 * Saves sales data for one item from the local cash to the sales archiving
	 * server. This operation will be transactional.
	 *
	 * @param item   Description of the item (a string with the name).
	 * @param datum  Data to push. Each SalesData will be saved into the
	 *               database, therefore if datum is null or doesn't contain
	 *               any element then nothing will be saved (and no exception
	 *               will be thrown).
	 */
	public void saveSalesData(SalesItem item, SalesData[] datum) throws Exception;
}
