/**
 * Sales Archiving Web Service
 * -----------------------
 *
 * This piece of software is part of the Sales Archiving Web Service example.
 *
 * Simply speaking, the aim of this software is to deploy, on JOnAS 4, a web
 * service to which sales data can be sent. That service would then store all
 * received data in a database using EJB3s.
 *
 *
 * If this software works, it has been written by Savas Ali TOKMEN, who has a
 * web site on the http://ali.tokmen.com/ address. If it doesn't work and
 * you're experiencing problems with it, I don't know who wrote it.
 *
 * Created the 31st of March 2007
 */
package SalesArchivingService;

import java.util.GregorianCalendar;

/**
 * This class defines an executable client for the Sales Archiving Web Service.
 */
public class SalesArchivingClient {
	/**
	 * Will generate a dummy sales item called "test" and send 10 sales data
	 * (with prices increasing from 1 to 10) to the Sales Archiving Web
	 * Service.
	 */
	public static void main(String[] args) {
		try {
			// Find the web service
			SalesArchivingServiceInterface service = new SalesArchivingServiceInterfaceServiceLocator().getSalesArchivingServicePort();

			// Create data to send
			SalesItem item = new SalesItem("test");
			SalesData[] datum = new SalesData[10];
			for(int i=0 ; i<10 ; i++) {
				datum[i] = new SalesData(new GregorianCalendar(), i+1);
			}

			// Send data
			service.sendSalesData(item,datum);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
